package Coleccion;

import java.util.Vector;

public class ColeccionConVector<E> implements Coleccion<E>{
	
	private Vector<E> vector;
	
	public ColeccionConVector(){
		vector = new Vector<E>();
	}
	
	public void insertar(E elemento) {
		if (! vector.contains(elemento) )
			vector.add(elemento);
	}

	public boolean pertenece(E elemento) {
		return vector.contains(elemento);
	}

	public void eliminar(E elemento) {
		vector.remove(elemento);
	}
	
	public void mostrar(){
		for(int i = 0; i<vector.size(); i++)
			System.out.println("A["+i+"]= " + vector.elementAt(i));
	}
}
